Bug 1004346 - Node list erroring out
Node list erroring out
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: nodes (Show other bugs)
2.2 Beta
Unspecified Unspecified
high Severity unspecified
: ---
: 2.3.0
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 09:01 EDT by Preethi Thomas
Modified: 2013-12-09 09:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-09-04 09:01:24 EDT
Description of problem:

Pulp-admin node list errors out
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Activate a node
2.Run node list
3.

Actual results:
[root@cloud-qe-9 ~]# pulp-admin node activate  --consumer-id node1  --strategy mirror
Consumer activated as child node.

[root@cloud-qe-9 ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/admin.log.



Expected results:


Additional info:
2013-09-04 08:29:47,755 - ERROR - Client-side exception occurred
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/client/extensions/core.py", line 478, in run
    exit_code = Cli.run(self, args)
  File "/usr/lib/python2.6/site-packages/okaara/cli.py", line 974, in run
    exit_code = command_or_section.execute(self.prompt, remaining_args)
  File "/usr/lib/python2.6/site-packages/pulp/client/extensions/extensions.py", line 224, in execute
    return self.method(*arg_list, **clean_kwargs)
  File "/usr/lib/python2.6/site-packages/pulp/client/commands/consumer/query.py", line 66, in run
    self.format_bindings(consumer)
  File "/usr/lib/python2.6/site-packages/pulp_node/extensions/admin/commands.py", line 183, in format_bindings
    strategy = b['binding_config'].get('strategy', constants.DEFAULT_STRATEGY)
AttributeError: 'NoneType' object has no attribute 'get'
Comment 1 Jeff Ortel 2013-09-17 17:58:03 EDT
https://github.com/pulp/pulp/pull/620
Comment 2 Jeff Ortel 2013-09-18 19:58:41 EDT
build: 2.3.0-0.14.alpha
Comment 3 Preethi Thomas 2013-09-19 11:40:02 EDT
verified
[root@pulp-v2-server ~]# rpm -qa pulp-nodes-parent
pulp-nodes-parent-2.3.0-0.14.alpha.el6.noarch
[root@pulp-v2-server ~]# 


[root@pulp-v2-server ~]# pulp-admin node activate --consumer-id node1 --strategy mirror
Consumer activated as child node.

[root@pulp-v2-server ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

Id:               node1
Display Name:     node1
Description:      None
Bindings:         
Update Strategy:  mirror
Notes:            


[root@pulp-v2-server ~]# pulp-admin node deactivate --node-id node1
Child node deactivated.

[root@pulp-v2-server ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

[root@pulp-v2-server ~]# pulp-admin node activate --consumer-id node1 --strategy additive
Consumer activated as child node.

[root@pulp-v2-server ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

Id:               node1
Display Name:     node1
Description:      None
Bindings:         
Update Strategy:  additive
Notes:            


[root@pulp-v2-server ~]# pulp-admin node deactivate --node-id node1
Child node deactivated.

[root@pulp-v2-server ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

[root@pulp-v2-server ~]# pulp-admin node activate --consumer-id node1 
Consumer activated as child node.

[root@pulp-v2-server ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

Id:               node1
Display Name:     node1
Description:      None
Bindings:         
Update Strategy:  additive
Notes:            


[root@pulp-v2-server ~]# pulp-admin node deactivate --node-id node1
Child node deactivated.

[root@pulp-v2-server ~]# pulp-admin node activate --consumer-id node1 --strategy 
Usage: pulp-admin [options]

Command: activate
Description: activate a consumer as a child node

Available Arguments:

  --consumer-id - (required) unique identifier; only alphanumeric, ., -, and _
                  allowed
  --strategy    - synchronization strategy (mirror|additive) default is additive
[root@pulp-v2-server ~]# pulp-admin node activate --consumer-id node1 --strategy  "none"
Strategy [ none ] not supported. Must be one of: ['additive', 'mirror']

[root@pulp-v2-server ~]# pulp-admin node activate --consumer-id node1 --strategy "mirror"
Consumer activated as child node.

[root@pulp-v2-server ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

Id:               node1
Display Name:     node1
Description:      None
Bindings:         
Update Strategy:  mirror
Notes:            


[root@pulp-v2-server ~]#
Comment 4 Preethi Thomas 2013-12-09 09:31:17 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.